Name:           python-qctma
Version:        1.0.27
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Injects material (Young's modulus) to each element, based on a Dicom stack, and gray level to Young'smodulus relationships. Specifically designed to be used with Ansys .cdb meshes.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/MarcG-LBMC-Lyos/QCTMA
Source:         %{pypi_source qctma}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qctma' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qctma
Summary:        %{summary}

%description -n python3-qctma %_description


%prep
%autosetup -p1 -n qctma-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-qctma -f %{pyproject_files}


%changelog
%autochangelog